%global pkgname AttachmentDetail

Summary:        SpamAssassin plugin to check attachment details
Name:           spamassassin-%{pkgname}
Version:        0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/mxguardian/Mail-SpamAssassin-Plugin-AttachmentDetail
Source0:        Mail-SpamAssassin-Plugin-AttachmentDetail.tar.gz
Source1:        %{pkgname}.cf
Requires:       spamassassin >= 3.2
Requires:       perl(Email::MIME::ContentType) >= 1.022
BuildRequires:  %{_bindir}/perldoc
BuildRequires:  perl-generators
BuildArch:      noarch

%description
This plugin creates a new rule test type, called "attachment".  These
rules apply to all attachments found in the message. Any MIME part
that has a filename is considered an "attachment" regardless of the content
disposition.

%prep

%setup -q -n Mail-SpamAssassin-Plugin-%{pkgname}
cp %{SOURCE1} .

%build

%install
install -D -p -m 644 %{pkgname}.cf $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin/%{pkgname}.cf
install -D -p -m 644 lib/Mail/SpamAssassin/Plugin/%{pkgname}.pm $RPM_BUILD_ROOT%{perl_vendorlib}/Mail/SpamAssassin/Plugin/%{pkgname}.pm

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
perldoc lib/Mail/SpamAssassin/Plugin/%{pkgname}.pm > $RPM_BUILD_ROOT%{_mandir}/man3/Mail::SpamAssassin::Plugin::%{pkgname}.3pm

%files
%license LICENSE
%doc README*
%config(noreplace) %{_sysconfdir}/mail/spamassassin/%{pkgname}.cf
%{perl_vendorlib}/Mail/SpamAssassin/Plugin/%{pkgname}.pm
%{_mandir}/man3/*.3pm*

%changelog
* Sun Jan 28 2024 Oden Eriksson <oe@nux.se> - 0-2
- add fc39

* Sun Sep 10 2023 Oden Eriksson <oe@nux.se> - 0-1
- initial package
